IncomingDataQueueBase Class Reference
Base classes for RTP queues.

`#include <queuebase.h>`

Inheritance diagram for IncomingDataQueueBase:
[legend]
Collaboration diagram for IncomingDataQueueBase:
[legend]

## Public Member Functions

size_t | getDefaultMaxRecvPacketSize () const
size_t | getMaxRecvPacketSize () const
void | setMaxRecvPacketSize (size_t maxsize)
Public Member Functions inherited from RTPQueueBase
bool | setPayloadFormat (const PayloadFormat &pf)
| Set the payload format in use, for timing and payload type identification purposes. More...
uint32 | getLocalSSRC () const
uint32 | getCurrentRTPClockRate () const
| Get the clock rate in RTP clock units (for instance, 8000 units per second for PCMU, or 90000 units per second for MP2T). More...
PayloadType | getCurrentPayloadType () const
timeval | getInitialTime () const

## Protected Member Functions

| IncomingDataQueueBase ()
virtual | ~IncomingDataQueueBase ()
Protected Member Functions inherited from RTPQueueBase
| RTPQueueBase (uint32 *ssrc=NULL)
void | setLocalSSRC (uint32 ssrc)
uint32 | getLocalSSRCNetwork () const
virtual | ~RTPQueueBase ()
virtual size_t | dispatchBYE (const std::string &)
| A plugin point for posting of BYE messages. More...
virtual void | renewLocalSSRC ()

## Detailed Description

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

## IncomingDataQueueBase()

IncomingDataQueueBase::IncomingDataQueueBase | ( |  | ) |

inline protected

## ~IncomingDataQueueBase()

virtual IncomingDataQueueBase::~IncomingDataQueueBase | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getDefaultMaxRecvPacketSize()

size_t IncomingDataQueueBase::getDefaultMaxRecvPacketSize | ( |  | ) | const

inline

## getMaxRecvPacketSize()

size_t IncomingDataQueueBase::getMaxRecvPacketSize | ( |  | ) | const

inline

## setMaxRecvPacketSize()

void IncomingDataQueueBase::setMaxRecvPacketSize | ( | size_t | maxsize | ) |

inline

Parameters

  maxsize | maximum length of received RTP data packets, in octets. Defaults to the value returned by getDefaultMaxRecvPacketSize().

Note
  This method sets a filter for incoming packets. Setting higher values does not necessarily imply higher memory usage (this method does not set any buffer size).

The documentation for this class was generated from the following file:

- queuebase.h